USN-4487-1: libx11 vulnerabilities

02 September 2020

Several security issues were fixed in libx11.

Releases

Packages

  • libx11 - None

Details

Todd Carson discovered that libx11 incorrectly handled certain memory
operations. A local attacker could possibly use this issue to escalate
privileges. (CVE-2020-14344)

Jayden Rivers discovered that libx11 incorrectly handled locales. A local
attacker could possibly use this issue to escalate privileges.
(CVE-2020-14363)

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.04
Ubuntu 18.04
Ubuntu 16.04

After a standard system update you need to reboot your computer to make all
the necessary changes.

Related notices